> For the complete documentation index, see [llms.txt](https://docs.visualsentinel.com/llms.txt)

# AlertRuleListResponse data model

The AlertRuleListResponse shape in the Visual Sentinel REST API.

## Fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `alertRules` | array of [AlertRule](https://docs.visualsentinel.com/reference/models/alert-rule.md) | No |   |
| `pagination` | [Pagination](https://docs.visualsentinel.com/reference/models/pagination.md) | No |   |

## Used by

- [List alert rules](https://docs.visualsentinel.com/reference/alert-rules.md#list-alert-rules): `GET /api/alert-rules`

Generated from the OpenAPI 3.1 specification at [https://docs.visualsentinel.com/openapi.json](https://docs.visualsentinel.com/openapi.json).
